# Spec file license: MIT

Name:           euca2ools
Version:        3.4.1
Release:        8%{?dist}
Summary:        Eucalyptus/AWS-compatible command line tools

License:        BSD
URL:            https://github.com/eucalyptus/euca2ools
Source0:        http://downloads.eucalyptus.com/software/euca2ools/3.4/source/euca2ools-%{version}.tar.xz

BuildArch:      noarch

Requires:       gdisk
Requires:       gzip
Requires:       kpartx
Requires:       openssl
Requires:       python2-lxml
Requires:       python2-progressbar
Requires:       python2-requestbuilder >= 0.6
Requires:       python2-requests
Requires:       python2-six >= 1.8
Requires:       python2-pyyaml
Requires:       rsync
Requires:       util-linux

%if 0%{?el6}
Requires:       python-argparse
%endif

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools


%description
Euca2ools are command line tools used to interact with Eucalyptus,
a service overlay designed to be interface-compatible with Amazon Web
Services (AWS), as well as AWS itself.


%prep
%autosetup -p1


%build
%{__python2} setup.py build


%install
%py2_install

mkdir -p %{buildroot}/etc/euca2ools
cp -Rp conf/* %{buildroot}/etc/euca2ools
mkdir -p %{buildroot}/%{_datadir}/euca2ools/certs
cp -p certs/* %{buildroot}/%{_datadir}/euca2ools/certs


%files
%{_bindir}/euare-*
%{_bindir}/euca-*
%{_bindir}/euform-*
%{_bindir}/euimage-*
%{_bindir}/eulb-*
%{_bindir}/euscale-*
%{_bindir}/euwatch-*
%{_mandir}/*/*
%{python2_sitelib}/%{name}-*.egg-info
%{python2_sitelib}/%{name}/
%{_datadir}/euca2ools/certs
%dir /etc/euca2ools
%dir /etc/euca2ools/bundle-vol
%config(noreplace) /etc/euca2ools/bundle-vol/excludes
%config(noreplace) /etc/euca2ools/bundle-vol/fstab
%dir /etc/euca2ools/conf.d
%config(noreplace) /etc/euca2ools/conf.d/*
%config(noreplace) /etc/euca2ools/euca2ools.ini
%license COPYING
%doc INSTALL
%doc README


%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Iryna Shcherbina <ishcherb@redhat.com> - 3.4.1-5
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 27 2017 Garrett Holmstrom <gholms@fedoraproject.org> - 3.4.1-1
- Upstream update (3.4.1)
- Removed -s from #! lines in executables

* Wed Jan 11 2017 Garrett Holmstrom <gholms@fedoraproject.org> - 3.4.0-2
- Build-time fixes

* Tue Jan 10 2017 Garrett Holmstrom <gholms@fedoraproject.org> - 3.4.0-1
- Upstream update (3.4.0)
- Updated for current python packaging standards
- Fixed auth failure when uploading bundles using upload policies [TOOLS-674]
- Added eu-west-2 AWS region [TOOLS-673]

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.0-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Mar 23 2016 Garrett Holmstrom <gholms@fedoraproject.org> - 3.3.0-3
- Added missing tag:KEY filter to euca-describe-group [TOOLS-578]
- Backported tag creation to eulb-create-lb [TOOLS-592]
- Backported route.instance-id filter to euca-describe-route-tables [TOOLS-616]
- Fixed display of NIC attachment IDs [TOOLS-610]
- Fix a couple edge cases in tag key/value parsing
- Made euca-fingerprint-key handle openssl errors [TOOLS-608]
- Made euform-create-stack not send DisableRollback=false by default
- Show tags when outputting ENIs [TOOLS-621]
- Added euform-update-stack --capabilities [TOOLS-613]
- Backported euform-update-stack --tag

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 11 2015 Garrett Holmstrom <gholms@fedoraproject.org> - 3.3.0-1
- Upstream update (3.3.0)
- Fixed broken #!s
- Fixed PutMetricData's syntax for dimensions [TOOLS-597]

* Sat Aug 15 2015 Garrett Holmstrom <gholms@fedoraproject.org> - 3.3.0-0.1.pre1
- Upstream update (3.3.0-pre1)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 2.1.4-3
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep 26 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 2.1.4-1
- Upstream update (2.1.4)
- Fixed eustore-install-image breakage from 2.1.3-2 [RH:1001433]

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 21 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 2.1.3-2
- Disabled SSL cert validation to make things work with boto 2.6+
- Fixed eustore account name checking [TOOLS-282]
- Fixed eustore registering images with the wrong type [TOOLS-184]
- Fixed euare-userlistpolicies -v --delegate [TOOLS-281]
- Fixed euca-get-console-output crash on no output
- Added euca-register --virtualization type (note that it requires special privs)

* Mon Mar  4 2013 Garrett Holmstrom <gholms@fedoraproject.org> - 2.1.3-1
- Upstream update (2.1.3) [RH:916716]
- Fix euare-useraddpolicy --delegate

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 10 2012 Garrett Holmstrom <gholms@fedoraproject.org> - 2.1.1-2
- Combined the -eustore package into the main package [RH:865108]

* Thu Sep 13 2012 Garrett Holmstrom <gholms@fedoraproject.org> - 2.1.1-1
- Upstream update (2.1.1)
- The new EuStore tools introduced in this version are in the -eustore package.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 17 2012 Garrett Holmstrom <gholms@fedoraproject.org> - 2.0.2-1
- Upstream update (2.0.2)

* Tue Apr 17 2012 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.2-1
- Upstream update (1.3.2)

* Wed Apr  4 2012 Garrett Holmstrom <gholms@fedoraproject.org> - 2.0.1-1
- Upstream update (2.0.1)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 22 2011 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.1-12
- Fixed registration of EBS-backed images

* Fri Jul  1 2011 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.1-11
- Backported support for bundle upload location constraints [LP:704658]

* Fri Jun 10 2011 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.1-11
- Fixed handling of empty block device sizes
- Fixed euca-describe-image-attribute -B output [LP:795395]

* Tue Apr 26 2011 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.1-10
- Added unlisted dependencies for euca-bundle-vol
- Fixed typos introduced by the FSID patch
- Fixed bundling failure on small images [LP:760157]
- Fixed use of bad mkfs options on older systems [LP:771498]

* Tue Mar 22 2011 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.1-9
- Work around Boto 2.0 + Eucalyptus 2.0 incompatibility [RH:684976]

* Mon Mar  7 2011 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.1-8
- Fix Boto 2.0 compatibility

* Fri Mar  4 2011 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.1-7
- Fix backtrace when --user-data-file does not exist [LP:726901]
- Don't require source subnet when (de)authorizing [LP:725170]

* Thu Feb 17 2011 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.1-6
- Stop stripping leading '0's from user IDs [LP:479823]
- Fix bad behavior with user IDs that contain '-'
- Preserve filesystem labels and UUIDs when bundling [LP:667793 LP:672986]

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.1-4
- Fix EC2-incompatible bundle checksumming [LP:665667]

* Wed Dec  8 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.1-3
- Fix URI parsing in main euca2ools module [RH:658560 LP:405628]
- Fix euca-confirm-product-instance crash [LP:548483]

* Wed Dec  8 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.1-2.1
- Remove extraneous copies of executables from %%{_bindir}

* Thu Nov 18 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.1-2
- Fix euca-bundle-image returning Odd-length string errors [LP:509562]
- Fix euca-bundle-image failure to use symbolic links [LP:522292]
- Fix euca-bundle-image --help yielding 'Invalid user' messages [LP:546526]
- Fix rebundled instance boot failure [LP:551847]
- Check a default location for Eucalyptus certificate [LP:479836]
- Fix euca-describe-image-attribute --kernel or --ramdisk [LP:546551]
- Fix euca-describe-images listing too many images on EC2 [LP:541468]
- Fix euca-download-bundle usage message [LP:546567]
- Fix failures related to a spurious space in euca-describe-images [LP:531453]
- Fix euca-run-instances parameter validation [LP:546420]
- Fix euca-run-instances usage message [LP:530816]

* Sat Sep  4 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3.1-1
- Upstream bugfix release [LP:629118]

* Wed Aug 25 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.3-1
- Update to 1.3 final
- This release no longer requires python-boto 2.0

* Fri Jul 30 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.2-5.20100701bzr293
- Rebuild prerelease against Python 2.7

* Thu Jul 22 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.2-4.20100701bzr293
- Update to a snapshot that includes support for block device mapping [575258]

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Mar 22 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.2-2
- Fix bad version reporting [LP:522396]
- Fix broken rc file searching [LP:516738 LP:524652]
- Fix reversed kernel+ramdisk display order in euca-describe-images [LP:256697]
- Fix broken file patch processing [LP:522060]
- Make euca-create-volume documentation consistent [LP:542097]
- Correct help files for euca-{modify,reset}-image-attribute [LP:543559]
- Fix euca-bundle-image --block-device-mapping [575166]

* Thu Feb 18 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.2-1
- Upstream update

* Thu Feb  4 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-5
- Fix changelog

* Wed Jan 20 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-4
- Stop requiring swig
- Take ownership of %%{python_sitelib}/%%{name} directory
- Clarify description
- Drop now-superfluous buildroot tag and cleaning step

* Fri Jan 15 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-3
- Update download URI

* Fri Jan  8 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-2
- Add COPYING and INSTALL docfiles

* Fri Jan  8 2010 Garrett Holmstrom <gholms@fedoraproject.org> - 1.1-1
- Initial packaging attempt
